## sandboxgamemaker 2.7.1+dfsg

=== src/Makefile ===

DEFINES =
MACHINENAME=
CXXFLAGS= -O2 -fomit-frame-pointer $(DEFINES)
override CXXFLAGS+= -Wall -fsigned-char -fno-exceptions -fno-rtti

PLATFORM= $(shell uname -s)
PLATFORM_PREFIX=sandbox

INCLUDES= -Ishared -Iengine -Ienet/include

STRIP=
ifeq (,$(findstring -g,$(CXXFLAGS)))
ifeq (,$(findstring -pg,$(CXXFLAGS)))
  STRIP=strip
endif
endif

MV=mv

ifneq (,$(findstring MINGW,$(PLATFORM)))
WINDRES= windres
CLIENT_INCLUDES= $(INCLUDES) -Iinclude
CLIENT_LIBS= -mwindows -Llib -lSDL -lSDL_image -lSDL_mixer -lzdll -lopengl32 -lenet -lws2_32 -lwinmm
else
CLIENT_INCLUDES= $(INCLUDES) -I/usr/X11R6/include `sdl-config --cflags`
CLIENT_LIBS= -Lenet/.libs -lenet -L/usr/X11R6/lib `sdl-config --libs` -lSDL_image -lSDL_mixer -lz -lGL -lX11
endif
ifeq ($(PLATFORM),Linux)
CLIENT_LIBS+= -lrt
ifneq (,$(findstring _64,$(shell uname -m)))
MACHINENAME=64
else
MACHINENAME=32
endif
endif

CLIENT_OBJS= \
	shared/crypto.o \
	shared/geom.o \
	shared/stream.o \
	shared/tools.o \
	shared/zip.o \
	engine/3dgui.o \
	engine/bih.o \
	engine/blend.o \
	engine/blob.o \
	engine/client.o	\
	engine/command.o \
	engine/console.o \
	engine/decal.o \
	engine/dynlight.o \
	engine/glare.o \
	engine/grass.o \
	engine/lightmap.o \
	engine/main.o \
	engine/material.o \
	engine/menus.o \
	engine/movie.o \
	engine/normal.o	\
	engine/octa.o \
	engine/octaedit.o \
	engine/octarender.o \
	engine/pvs.o \
	engine/physics.o \
	engine/rendergl.o \
	engine/rendermodel.o \
	engine/renderparticles.o \
	engine/rendersky.o \
	engine/rendertext.o \
	engine/renderva.o \
	engine/server.o	\
	engine/serverbrowser.o \
	engine/shader.o \
	engine/shadowmap.o \
	engine/sound.o \
	engine/texture.o \
	engine/ui.o \
	engine/water.o \
	engine/world.o \
	engine/worldio.o

FPSCLIENT_OBJS = \
	fpsgame/ai.o \
	fpsgame/client.o \
	fpsgame/entities.o \
	fpsgame/fps.o \
	fpsgame/monster.o \
	fpsgame/movable.o \
	fpsgame/render.o \
	fpsgame/scoreboard.o \
	fpsgame/server.o \
	fpsgame/waypoint.o

SSPCLIENT_OBJS = \
	sspgame/ssp.o \
	sspgame/sspent.o \
	sspgame/sspentities.o \
	sspgame/sspweapons.o \
	sspgame/sspmonster.o \
	sspgame/ssprender.o \
	sspgame/sspstubs.o

RPGCLIENT_OBJS = \
	rpggame/rpg.o \
	rpggame/rpgai.o \
	rpggame/rpgaction.o \
	rpggame/rpgcamera.o \
	rpggame/rpgchar.o \
	rpggame/rpgconfig.o \
	rpggame/rpgcontainer.o \
	rpggame/rpgeffect.o \
	rpggame/rpgentities.o \
	rpggame/rpghud.o \
	rpggame/rpggui.o \
	rpggame/rpgio.o \
	rpggame/rpgitem.o \
	rpggame/rpgobstacle.o \
	rpggame/rpgplatform.o \
	rpggame/rpgproj.o \
	rpggame/rpgscript.o \
	rpggame/rpgstats.o \
	rpggame/rpgstatus.o \
	rpggame/rpgstubs.o \
	rpggame/rpgrender.o \
	rpggame/rpgtest.o \
	rpggame/rpgtrigger.o \
	rpggame/waypoint.o

MOVIECLIENT_OBJS= \
	moviecube/action.o \
	moviecube/characterinfo.o \
	moviecube/client.o \
	moviecube/clientmode.o \
	moviecube/control.o \
	moviecube/entities.o \
	moviecube/mapentities.o \
	moviecube/movable.o \
	moviecube/moviecube.o \
	moviecube/render.o \
	moviecube/camera.o \
	moviecube/server.o


KRSCLIENT_OBJS = \
	krsgame/krs.o \
	krsgame/krsai.o \
	krsgame/krsents.o \
	krsgame/krshud.o \
	krsgame/krsrender.o \
	krsgame/krsstubs.o \
	krsgame/krsscript.o \
	krsgame/waypoint.o

PZLCLIENT_OBJS = \
	pzlgame/pzl.o \
	pzlgame/pzlents.o \
	pzlgame/pzlhud.o \
	pzlgame/pzlrender.o \
	pzlgame/pzlstubs.o \
	pzlgame/pzlscript.o

CLIENT_PCH = \
	shared/cube.h.gch \
	engine/engine.h.gch \
	fpsgame/game.h.gch \
	sspgame/sspgame.h.gch \
	rpggame/rpggame.h.gch \
	moviecube/game.h.gch \
	krsgame/krsgame.h.gch \
	pzlgame/pzlgame.h.gch

ifneq (,$(findstring MINGW,$(PLATFORM)))
SERVER_INCLUDES= -DSTANDALONE $(INCLUDES) -Iinclude
SERVER_LIBS= -mwindows -Llib -lzdll -lenet -lws2_32 -lwinmm
MASTER_LIBS= -Llib -lzdll -lenet -lws2_32 -lwinmm
else
SERVER_INCLUDES= -DSTANDALONE $(INCLUDES)
SERVER_LIBS= -Lenet/.libs -lenet -lz
MASTER_LIBS= $(SERVER_LIBS)
endif

SERVER_OBJS= \
	shared/crypto-standalone.o \
	shared/stream-standalone.o \
	shared/tools-standalone.o \
	engine/command-standalone.o \
	engine/server-standalone.o \
	engine/worldio-standalone.o

FPSSERVER_OBJS = \
	fpsgame/entities-standalone.o \
	fpsgame/server-standalone.o

MOVIESERVER_OBJS= \
	moviecube/server-standalone.o \
	moviecube/entities-standalone.o

MASTER_OBJS= \
	shared/crypto-standalone.o \
	shared/stream-standalone.o \
	shared/tools-standalone.o \
	engine/command-standalone.o \
	engine/master-standalone.o

LAUNCHER_LIBS= `wx-config --libs`
LAUNCHER_FLAGS= `wx-config --cxxflags`
LAUNCHER_OBJS= \
	launcher/pasl.o \
	launcher/paslapp.o

ifeq ($(PLATFORM),SunOS)
CLIENT_LIBS+= -lsocket -lnsl -lX11
SERVER_LIBS+= -lsocket -lnsl
endif

default: all

$(LAUNCHER_OBJS): CXXFLAGS += $(LAUNCHER_FLAGS)

pasl:   $(LAUNCHER_OBJS)
	$(CXX) $(CXXFLAGS) -o launch $(LAUNCHER_OBJS) $(LAUNCHER_LIBS)
	cp launch ../launcher
	strip ../launcher
	chmod +x ../launcher

all: client server

enet/Makefile:
	cd enet; ./configure --enable-shared=no --enable-static=yes

libenet: enet/Makefile
	$(MAKE)	-C enet/ all

clean-enet: enet/Makefile
	$(MAKE) -C enet/ clean

clean:
	-$(RM) $(SERVER_OBJS) $(FPSSERVER_OBJS) $(MOVIESERVER_OBJS) $(CLIENT_PCH) $(CLIENT_OBJS) $(SSPCLIENT_OBJS) $(RPGCLIENT_OBJS) $(FPSCLIENT_OBJS) $(MOVIECLIENT_OBJS) $(KRSCLIENT_OBJS) $(PZLCLIENT_OBJS) $(LAUNCHER_OBJS) $(MASTER_OBJS) $(PLATFORM_PREFIX)_server_* $(PLATFORM_PREFIX)_client_*

%.h.gch: %.h
	$(CXX) $(CXXFLAGS) -o $@.tmp $(subst .h.gch,.h,$@)
	$(MV) $@.tmp $@

%-standalone.o: %.cpp
	$(CXX) $(CXXFLAGS) -c -o $@ $(subst -standalone.o,.cpp,$@)

$(CLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES)

$(filter shared/%,$(CLIENT_OBJS)): $(filter shared/%,$(CLIENT_PCH))
$(filter engine/%,$(CLIENT_OBJS)): $(filter engine/%,$(CLIENT_PCH))

$(SSPCLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES) -Isspgame
$(SSPCLIENT_OBJS): $(filter sspgame/%,$(CLIENT_PCH))

$(FPSCLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES) -Ifpsgame
$(FPSCLIENT_OBJS): $(filter fpsgame/%,$(CLIENT_PCH))

$(RPGCLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES) -Irpggame
$(RPGCLIENT_OBJS): $(filter rpggame/%,$(CLIENT_PCH))

$(MOVIECLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES) -Imoviecube
$(MOVIECLIENT_OBJS): $(filter moviecube/%,$(CLIENT_PCH))

$(KRSCLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES) -Ikrsgame
$(KRSCLIENT_OBJS): $(filter krsgame/%,$(CLIENT_PCH))

$(PZLCLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES) -Ipzlgame
$(PZLCLIENT_OBJS): $(filter pzlgame/%,$(CLIENT_PCH))

$(SERVER_OBJS): CXXFLAGS += $(SERVER_INCLUDES)
$(filter-out $(SERVER_OBJS),$(MASTER_OBJS)): CXXFLAGS += $(SERVER_INCLUDES)

$(FPSSERVER_OBJS): CXXFLAGS += -Ifpsgame $(SERVER_INCLUDES)
$(MOVIESERVER_OBJS): CXXFLAGS += -Imoviecube $(SERVER_INCLUDES)

client: client-fps client-krs client-movie client-rpg client-ssp #client-pzl
server: server-fps server-movie


ifneq (,$(findstring MINGW,$(PLATFORM)))
client-fps:$(CLIENT_OBJS) $(FPSCLIENT_OBJS)
	$(WINDRES) -I windows/resources -i windows/resources/fps.rc -J rc -o windows/resources/fps.res -O coff
	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_fps.exe windows/resources/fps.res $(CLIENT_OBJS) $(FPSCLIENT_OBJS) $(CLIENT_LIBS)

client-ssp:$(CLIENT_OBJS) $(SSPCLIENT_OBJS)
	$(WINDRES) -I windows/resources -i windows/resources/ssp.rc -J rc -o windows/resources/ssp.res -O coff
	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_ssp.exe windows/resources/ssp.res $(CLIENT_OBJS) $(SSPCLIENT_OBJS) $(CLIENT_LIBS)

client-rpg:$(CLIENT_OBJS) $(RPGCLIENT_OBJS)
	$(WINDRES) -I windows/resources -i windows/resources/rpg.rc -J rc -o windows/resources/rpg.res -O coff
	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_rpg.exe windows/resources/rpg.res $(CLIENT_OBJS) $(RPGCLIENT_OBJS) $(CLIENT_LIBS)

client-movie:$(CLIENT_OBJS) $(MOVIECLIENT_OBJS)
	$(WINDRES) -I windows/resources -i windows/resources/mc.rc -J rc -o windows/resources/mc.res -O coff
	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_movie.exe windows/resources/mc.res $(CLIENT_OBJS) $(MOVIECLIENT_OBJS) $(CLIENT_LIBS)

client-krs:$(CLIENT_OBJS) $(KRSCLIENT_OBJS)
	$(WINDRES) -I windows/resources -i windows/resources/krs.rc -J rc -o windows/resources/krs.res -O coff
	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_krs.exe windows/resources/krs.res $(CLIENT_OBJS) $(KRSCLIENT_OBJS) $(CLIENT_LIBS)

client-pzl:$(CLIENT_OBJS) $(PZLCLIENT_OBJS)
	$(WINDRES) -I windows/resources -i windows/resources/pzl.rc -J rc -o windows/resources/pzl.res -O coff
	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_pzl.exe windows/resources/pzl.res $(CLIENT_OBJS) $(PZLCLIENT_OBJS) $(CLIENT_LIBS)

server-fps:$(SERVER_OBJS) $(FPSSERVEROBJS)
	$(WINDRES) -I windows/resources -i windows/resources/fps.rc -J rc -o windows/resources/fps.res -O coff
	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_server_fps.exe windows/resources/fps.res $(SERVER_OBJS) $(FPSSERVER_OBJS) $(SERVER_LIBS)

server-movie: $(SERVER_OBJS) $(MOVIESERVER_OBJS)
	$(WINDRES) -I windows/resources -i windows/resources/mc.rc -J rc -o windows/resources/mc.res -O coff
	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_server_movie.exe windows/resources/mc.res $(SERVER_OBJS) $(MOVIESERVER_OBJS) $(SERVER_LIBS)


master: $(MASTER_OBJS)
	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_master.exe $(MASTER_OBJS) $(MASTER_LIBS)

install: all
else

client-fps:libenet $(CLIENT_OBJS) $(FPSCLIENT_OBJS)
	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_client_$(MACHINENAME)_fps $(CLIENT_OBJS) $(FPSCLIENT_OBJS) $(CLIENT_LIBS)

client-ssp:libenet $(CLIENT_OBJS) $(SSPCLIENT_OBJS)
	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_client_$(MACHINENAME)_ssp $(CLIENT_OBJS) $(SSPCLIENT_OBJS) $(CLIENT_LIBS)

client-rpg:libenet $(CLIENT_OBJS) $(RPGCLIENT_OBJS)
	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_client_$(MACHINENAME)_rpg $(CLIENT_OBJS) $(RPGCLIENT_OBJS) $(CLIENT_LIBS)

client-movie:libenet $(CLIENT_OBJS) $(MOVIECLIENT_OBJS)
	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_client_$(MACHINENAME)_movie $(CLIENT_OBJS) $(MOVIECLIENT_OBJS) $(CLIENT_LIBS)

client-krs:libenet $(CLIENT_OBJS) $(KRSCLIENT_OBJS)
	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_client_$(MACHINENAME)_krs $(CLIENT_OBJS) $(KRSCLIENT_OBJS) $(CLIENT_LIBS)

client-pzl:libenet $(CLIENT_OBJS) $(PZLCLIENT_OBJS)
	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_client_$(MACHINENAME)_pzl $(CLIENT_OBJS) $(PZLCLIENT_OBJS) $(CLIENT_LIBS)

server-fps: libenet $(SERVER_OBJS) $(FPSSERVER_OBJS)
	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_server_$(MACHINENAME)_fps $(SERVER_OBJS) $(FPSSERVER_OBJS) $(SERVER_LIBS)

server-movie: libenet $(SERVER_OBJS) $(MOVIESERVER_OBJS)
	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_server_$(MACHINENAME)_movie $(SERVER_OBJS) $(MOVIESERVER_OBJS) $(SERVER_LIBS)

master: libenet $(MASTER_OBJS)
	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_master $(MASTER_OBJS) $(MASTER_LIBS)


install: all
	cp $(PLATFORM_PREFIX)_* ../bin/
ifneq (,$(STRIP))
	strip ../bin/$(PLATFORM_PREFIX)_??????_$(MACHINENAME)*
endif
	chmod +x ../bin/$(PLATFORM_PREFIX)_??????_$(MACHINENAME)*
endif

shared/cube2font.o: shared/cube2font.c
	$(CXX) $(CXXFLAGS) -c -o $@ $< `freetype-config --cflags`

cube2font: shared/cube2font.o
	$(CXX) $(CXXFLAGS) -o cube2font shared/cube2font.o `freetype-config --libs` -lz -lpng

depend:
	makedepend -Y -Ishared -Iengine -Ifpsgame -Isspgame $(subst .o,.cpp,$(CLIENT_OBJS))
	makedepend -a -o.h.gch -Y -Ishared -Iengine -Ifpsgame $(subst .h.gch,.h,$(CLIENT_PCH))
	makedepend -a -o-standalone.o -Y -Ishared -Iengine -Ifpsgame -Isspgame $(subst -standalone.o,.cpp,$(SERVER_OBJS))
	makedepend -a -o-standalone.o -Y -Ishared -Iengine -Ifpsgame $(subst -standalone.o,.cpp,$(filter-out $(SERVER_OBJS), $(MASTER_OBJS)))

engine/engine.h.gch: shared/cube.h.gch
fpsgame/game.h.gch: shared/cube.h.gch

# DO NOT DELETE

shared/crypto.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
shared/crypto.o: shared/command.h shared/iengine.h shared/igame.h
shared/geom.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
shared/geom.o: shared/command.h shared/iengine.h shared/igame.h
shared/stream.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
shared/stream.o: shared/command.h shared/iengine.h shared/igame.h
shared/tools.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h

=== src/launcher/Makefile ===
### Begin DialogBlocks generated body
################################################################################
# Makefile generated by DialogBlocks
#
# Available configurations:
# release
################################################################################

CONFIG=release

# release
ifeq ($(CONFIG),release)
WXWIN=
TOOLCHAINNAME=gtk2u
WXVERSION:=$(shell echo `wx-config --version`)
CXX=g++
LINKER=g++
CC=gcc
RESCOMP=windres.exe
RCFILEOBJ=PASL_rc.o
RCFILESRC=PASL.rc
RESOURCEOBJECT=
OUTPUTPATH=GCCRelease
OBJECTPATH=GCCRelease
BUILDPATHS=$(OBJECTPATH)
PROGRAM=PASL
LIBS=$(shell wx-config --libs std --cxxflags)
LINKERFLAGS=
WARNINGFLAGS=-Wall -Wno-write-strings
OPTFLAGS=-O2
DEBUGFLAGS=
LIBPATH=
CPPINC:=$(shell wx-config --cxxflags)
GCCFLAGS=
LDFLAGS=$(LIBS) $(LIBPATH) $(LINKERFLAGS)
CPPFLAGS=$(CPPINC) $(GCCFLAGS) $(DEBUGFLAGS) $(OPTFLAGS) $(WARNINGFLAGS)
LIBDIRNAME=$(WXWIN)/GCCBuildReleaseGTK2Unicode/lib
RESPATH=--include-dir "$(WXWIN)/include" --include-dir "$(WXWIN)/contrib/include" --include-dir "$(WXWIN)/GCCBuildReleaseGTK2Unicode/lib/wx/include/gtk2-unicode-release-static-2.8"
MACPACKAGEINFO=
endif

OBJECTS=$(OBJECTPATH)/pasl.o $(OBJECTPATH)/paslapp.o $(RESOURCEOBJECT)

all:	$(BUILDPATHS) $(MACPACKAGEINFO) $(OUTPUTPATH)/$(PROGRAM)

$(OBJECTPATH):
	mkdir -p $(OBJECTPATH)

clean:
	rm -f $(OBJECTPATH)/*.o
	rm -f $(OBJECTPATH)/*.res
	rm -fr .deps .pch
	rm -fr $(PROGRAM).app
	rm -f $(OUTPUTPATH)/$(PROGRAM)

help:
	@echo "Usage: make -f Makefile CONFIG=[release] [all|clean|help]"

$(OUTPUTPATH)/$(PROGRAM):	$(OBJECTS)
	$(LINKER) -o $@ $(OBJECTS) $(LDFLAGS)


# Windows only
$(OBJECTPATH)/$(RCFILEOBJ):	$(RCFILESRC)
	$(RESCOMP) --use-temp-file -i$< -o$@ $(RESPATH) --include-dir . --define NOPCH

# Mac only
$(OUTPUTPATH)/$(PROGRAM).app/Contents/PkgInfo: $(OUTPUTPATH)/$(PROGRAM) $(INFOPLISTSOURCE) $(ICNSSOURCE)
	mkdir -p $(OUTPUTPATH)/$(PROGRAM).app/Contents
	mkdir -p $(OUTPUTPATH)/$(PROGRAM).app/Contents/MacOS
	mkdir -p $(OUTPUTPATH)/$(PROGRAM).app/Contents/Resources
	sed -e "s/IDENTIFIER/$(PROGRAM)/" \
	-e "s/EXECUTABLE/$(PROGRAM)/" \
	-e "s/VERSION/$(WXVERSION)/" \
	$(INFOPLISTSOURCE) >$(OUTPUTPATH)/$(PROGRAM).app/Contents/Info.plist
	echo -n "APPL????" >$(OUTPUTPATH)/$(PROGRAM).app/Contents/PkgInfo
	ln -f $(OUTPUTPATH)/$(PROGRAM) $(OUTPUTPATH)/$(PROGRAM).app/Contents/MacOS/$(PROGRAM)
	cp -f $(ICNSSOURCE) $(ICNSDEST)

$(OBJECTPATH)/pasl.o:	pasl.cpp pasl.h sandboxlogo.xpm NoImage.xpm
	$(CXX) -c -o $@ $(CPPFLAGS) pasl.cpp

$(OBJECTPATH)/paslapp.o:	paslapp.cpp paslapp.h pasl.h
	$(CXX) -c -o $@ $(CPPFLAGS) paslapp.cpp

.PHONY:	all clean
### End DialogBlocks generated body

=== debian/changelog ===
sandboxgamemaker (2.7.1+dfsg-2build1) saucy; urgency=low

  * No-change rebuild against latest enet

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 16 Jun 2013 11:22:21 -0400

sandboxgamemaker (2.7.1+dfsg-2) unstable; urgency=low

  * debian/patches/gcc4.7.patch
    - fixed FTBFS from gcc 4.7 transition (Closes: #673545)
  * debian/patches/hardening.patch
    - used dpkg-buildflags for Wheezy hardening release goal

 -- Scott Howard <showard@debian.org>  Sun, 10 Jun 2012 01:07:51 -0400

sandboxgamemaker (2.7.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * New logos, taken from sandboxgamemaker.com/wiki (GFDL-1.2)

 -- Scott Howard <showard@debian.org>  Wed, 16 Nov 2011 15:58:55 -0500

sandboxgamemaker (2.7+dfsg-2) unstable; urgency=low

  * Fixed postinst to not install files with ??? in names

 -- Scott Howard <showard@debian.org>  Sun, 16 Oct 2011 01:10:25 -0400

=== debian/control ===
Source: sandboxgamemaker
Section: contrib/games
Priority: optional
Maintainer: Scott Howard <showard@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl1.2-dev, libenet-dev (>= 1.3.1), po-debconf, libwxgtk2.8-dev
Standards-Version: 3.9.3
Homepage: http://sandboxgamemaker.com/
Vcs-Browser: http://git.debian.org/?p=pkg-games/sandboxgamemaker.git
Vcs-git: git://git.debian.org/git/pkg-games/sandboxgamemaker.git

Package: sandboxgamemaker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libsmpeg0, mikmod, timidity
Description: 3D game maker and 3D game design program
 Platinum Arts Sandbox is an open source, easy-to-use, standalone 3D game
 maker and 3D game design program. It is currently based on the Cube 2
 engine used in schools around the world that allows kids and adults to
 create their own video games, worlds, levels, adventures, and quests,
 even cooperatively. The goal is to make it accessible to kids but also
 powerful enough for full game projects.
 .
 This package contains the client and server binaries.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

%:
	dh $@ --parallel

override_dh_auto_build:
	$(MAKE) -C src
	$(MAKE) -C src pasl

override_dh_auto_clean:
	[ ! -f src/Makefile ] || $(MAKE) -C src clean
	rm -f src/sandbox_client src/sandbox_server
	rm -f bin/*
	rm -rf bin
	rm -f sandboxgamemaker_glauncher src/launch src/launcher/pasl.o src/launcher/paslapp.o
	dh_auto_clean

override_dh_install:
	dh_install -Xlicense

ORIG_TARBALL=PlatinumArtsSandbox2.7.1Multiplatform.zip
ORIG_DIRECTORY=PlatinumArtsSandbox2.7.1
ORIG_DFSG_NAME=sandboxgamemaker-2.7.1+dfsg

get-orig-source:
	dh_testdir
	#rm -rf ../sandboxgamemaker_2.7+dfsg.orig.tar.gz $(ORIG_DFSG_NAME)
	test -f $(ORIG_TARBALL) || wget http://sandboxgamemaker.com/sandbox/$(ORIG_TARBALL);\
	rm -rf $(ORIG_DIRECTORY);\
	unzip $(ORIG_TARBALL);\
	find $(ORIG_DIRECTORY)/ -iname "*.exe" -delete;\
	find $(ORIG_DIRECTORY)/ -iname "*.bat" -delete;\
	find $(ORIG_DIRECTORY)/ -iname "*.dll" -delete;\
	find $(ORIG_DIRECTORY)/ -iname "*.lib" -delete;\
	find $(ORIG_DIRECTORY)/ -iname "*.a" -delete;\
	rm -f $(ORIG_DIRECTORY)/bin/*;\
	rm -r $(ORIG_DIRECTORY)/src/enet;\
	rm -r $(ORIG_DIRECTORY)/src/xcode;\
	rm -r $(ORIG_DIRECTORY)/src/windows;\
	rm -r $(ORIG_DIRECTORY)/src/include;\
	rm -r $(ORIG_DIRECTORY)/src/lib;\
	rm -r $(ORIG_DIRECTORY)/packages;\
	rm -r $(ORIG_DIRECTORY)/data;\
	rm -f $(ORIG_DIRECTORY)/LICENSE.txt;\
	rm -f $(ORIG_DIRECTORY)/_SandBoxLauncher;\
	mv $(ORIG_DIRECTORY) $(ORIG_DFSG_NAME);\
	GZIP=-9 tar cvfz ../sandboxgamemaker_2.7.1+dfsg.orig.tar.gz $(ORIG_DFSG_NAME);\
	rm -rf $(ORIG_DFSG_NAME) $(ORIG_TARBALL)	


#.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure get-orig-source

=== debian/watch ===
#Upstream uses a javascript to serve the download link, so watchfiles won't work
#visit www.sandboxgamemaker.com for more information

## sandboxgamemaker 2.8.2+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -41,7 +41,6 @@
 	shared/stream.o \
 	shared/tools.o \
 	shared/zip.o \
-	engine/3dgui.o \
 	engine/bih.o \
 	engine/blend.o \
 	engine/blob.o \
@@ -55,7 +54,6 @@
 	engine/lightmap.o \
 	engine/main.o \
 	engine/material.o \
-	engine/menus.o \
 	engine/movie.o \
 	engine/normal.o	\
 	engine/octa.o \
@@ -90,7 +88,8 @@
 	fpsgame/render.o \
 	fpsgame/scoreboard.o \
 	fpsgame/server.o \
-	fpsgame/waypoint.o
+	fpsgame/waypoint.o \
+	fpsgame/weapon.o
 
 SSPCLIENT_OBJS = \
 	sspgame/ssp.o \
@@ -239,8 +238,8 @@
 	-$(RM) $(SERVER_OBJS) $(FPSSERVER_OBJS) $(MOVIESERVER_OBJS) $(CLIENT_PCH) $(CLIENT_OBJS) $(SSPCLIENT_OBJS) $(RPGCLIENT_OBJS) $(FPSCLIENT_OBJS) $(MOVIECLIENT_OBJS) $(KRSCLIENT_OBJS) $(PZLCLIENT_OBJS) $(LAUNCHER_OBJS) $(MASTER_OBJS) $(PLATFORM_PREFIX)_server_* $(PLATFORM_PREFIX)_client_*
 
 %.h.gch: %.h
-	$(CXX) $(CXXFLAGS) -o $@.tmp $(subst .h.gch,.h,$@)
-	$(MV) $@.tmp $@
+	$(CXX) $(CXXFLAGS) -o $(subst .h.gch,.tmp.h.gch,$@) $(subst .h.gch,.h,$@)
+	$(MV) $(subst .h.gch,.tmp.h.gch,$@) $@
 
 %-standalone.o: %.cpp
 	$(CXX) $(CXXFLAGS) -c -o $@ $(subst -standalone.o,.cpp,$@)
@@ -358,23 +357,16 @@
 	$(CXX) $(CXXFLAGS) -c -o $@ $< `freetype-config --cflags`
 
 cube2font: shared/cube2font.o
-	$(CXX) $(CXXFLAGS) -o cube2font shared/cube2font.o `freetype-config --libs` -lz -lpng
+	$(CXX) $(CXXFLAGS) -o cube2font shared/cube2font.o `freetype-config --libs` -lz
 
 depend:
-	makedepend -Y -Ishared -Iengine -Ifpsgame -Isspgame $(subst .o,.cpp,$(CLIENT_OBJS))
-	makedepend -a -o.h.gch -Y -Ishared -Iengine -Ifpsgame $(subst .h.gch,.h,$(CLIENT_PCH))
-	makedepend -a -o-standalone.o -Y -Ishared -Iengine -Ifpsgame -Isspgame $(subst -standalone.o,.cpp,$(SERVER_OBJS))
-	makedepend -a -o-standalone.o -Y -Ishared -Iengine -Ifpsgame $(subst -standalone.o,.cpp,$(filter-out $(SERVER_OBJS), $(MASTER_OBJS)))
-
-engine/engine.h.gch: shared/cube.h.gch
-fpsgame/game.h.gch: shared/cube.h.gch
-
-# DO NOT DELETE
-
-shared/crypto.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
-shared/crypto.o: shared/command.h shared/iengine.h shared/igame.h
-shared/geom.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
-shared/geom.o: shared/command.h shared/iengine.h shared/igame.h
-shared/stream.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
-shared/stream.o: shared/command.h shared/iengine.h shared/igame.h
-shared/tools.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
+	makedepend -Y -Ishared -Iengine $(subst .o,.cpp,$(CLIENT_OBJS))
+	makedepend -a -Y -Ishared -Iengine -Ifpsgame $(subst .o,.cpp,$(FPSCLIENT_OBJS))
+	makedepend -a -Y -Ishared -Iengine -Isspgame $(subst .o,.cpp,$(SSPCLIENT_OBJS))
+	makedepend -a -Y -Ishared -Iengine -Irpggame $(subst .o,.cpp,$(RPGCLIENT_OBJS))
+	makedepend -a -Y -Ishared -Iengine -Ikrsgame $(subst .o,.cpp,$(KRSCLIENT_OBJS))
+	makedepend -a -Y -Ishared -Iengine -Imoviecube $(subst .o,.cpp,$(MOVIECLIENT_OBJS))
+	makedepend -a -o.h.gch -Y -Ishared -Iengine -Ifpsgame -Irpggame -Isspgame -Imoviecube -Ikrsgame $(subst .h.gch,.h,$(CLIENT_PCH))
+	makedepend -a -o-standalone.o -Y -Ishared -Iengine -DSTANDALONE $(subst -standalone.o,.cpp,$(SERVER_OBJS))
+	makedepend -a -o-standalone.o -Y -Ishared -Iengine -Ifpsgame -DSTANDALONE $(subst -standalone.o,.cpp,$(FPSSERVER_OBJS))
+	makedepend -a -o-standalone.o -Y -Ishared -Iengine -Imoviecube -DSTANDALONE $(subst -standalone.o,.cpp,$(MOVIESERVER_OBJS))

=== debian/changelog ===
sandboxgamemaker (2.8.2+dfsg-1build2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:42:31 +0000

sandboxgamemaker (2.8.2+dfsg-1build1) wily; urgency=medium

  * No-change rebuild against libwx*-0v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Aug 2015 12:29:59 +0200

sandboxgamemaker (2.8.2+dfsg-1) unstable; urgency=medium

  * New maintainer upload (Closes: #694990)
  * New Upstream Release
  * New Depends on wxwidgets 3.0 (Closes: #749835)
  * Fixed vcs fields in control file
  * Removed empty useless files in debian folder
  * Removed comments from man/sandbox_unix.6
  * Removed sandboxgamemaker.docs updated debian/copyright and README.debian
  * Removed debian/postrm debian/postinst
     - No longer installing non-free data with this package, so not required.

 -- Anthony F McInerney <afm404@gmail.com>  Fri, 01 Aug 2014 21:15:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: sandboxgamemaker
 Section: contrib/games
 Priority: optional
-Maintainer: Scott Howard <showard@debian.org>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9), libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl1.2-dev, libenet-dev (>= 1.3.1), po-debconf, libwxgtk2.8-dev
-Standards-Version: 3.9.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Anthony F McInerney <afm404@gmail.com>
+Build-Depends: debhelper (>= 9), libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl1.2-dev, libenet-dev (>= 1.3.1), po-debconf, libwxgtk3.0-dev
+Standards-Version: 3.9.5
 Homepage: http://sandboxgamemaker.com/
-Vcs-Browser: http://git.debian.org/?p=pkg-games/sandboxgamemaker.git
-Vcs-git: git://git.debian.org/git/pkg-games/sandboxgamemaker.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/sandboxgamemaker.git
+Vcs-git: git://anonscm.debian.org/pkg-games/sandboxgamemaker.git
 
 Package: sandboxgamemaker
 Architecture: any

=== debian/watch ===
#Upstream uses a javascript to serve the download link, so watchfiles won't work
#visit www.sandboxgamemaker.com for more information
#Now it is on gamefront or other mirrors and completely removed from sandboxgamemaker.com
#version=3
